QGIS Application - Bug report #1529
v.drape model is useless without a preceding call to g.region in the grass shell

2009-02-05 06:13 AM - ventosus -

Status: Closed
Priority: Low
Assignee: nobody -
Category: GRASS

Affected QGIS version:
Operating System: Debian

Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 11589

Description

This is about the v.drape module

I never got the right results out of this functions and finally | figured out, where the problem is.

In the grass help page of v.drape it says in the notes section:

Please run beforehand
g.region vect=2D_vector

This has to be typed in the grass shell and then the v.drape module works as expected.

I'm ignorant about the internals of the GRASS plugin, but wouldn't it be possible that QGis handles this automatically?

The module is not really useful in this state, because you have to open up a grass shell whatsover.

I'm running QGis 1.0.0-Kore Codestand 9890M on a Debian Testing with GRASS 6.3.1

History

#1 - 2009-02-05 11:25 AM - Maciej Sieczka -

- Resolution set to invalid

- Status changed from Open to Closed

Replying to ventosus:

This is about the v.drape module

Please run beforehand
g.region vect=2D_vector
You can manage GRASS region settings from QGIS GUI as well.

I'm ignorant about the internals of the GRASS plugin, but wouldn't it be possible that QGis

handles this automatically ?

It shouldn't mess with region settings if possible. The concept of region is a crucial GRASS feature and you need to get familiar with it, as well as with other

conventions, to use GRASS. Same as with any other software.

The module is not really useful in this state, because you have to open up a grass shell

whatsover.

No you don't have to. You just need to read some manuals and tutorials. That means learn basics before you start using.

#2 - 2009-08-22 01:01 AM - Anonymous

Milestone Version 1.0.1 deleted
